%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-escodegen
Version:    1.3.2
Release:    2%{?dist}
Summary:    ECMAScript code generator
License:    BSD
Group:      System Environment/Libraries
URL:        https://github.com/Constellation/escodegen
Source0:    http://registry.npmjs.org/escodegen/-/escodegen-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# revision control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(chai)
BuildRequires:  npm(esprima-moz)
BuildRequires:  npm(estraverse)
BuildRequires:  npm(esutils)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
rm -f *.min.js


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/escodegen
cp -pr package.json escodegen.js \
    %{buildroot}%{nodejs_sitelib}/escodegen

mkdir -p %{buildroot}%{nodejs_sitelib}/escodegen/bin
install -p -D -m0755 bin/escodegen.js \
    %{buildroot}%{nodejs_sitelib}/escodegen/bin/escodegen.js
install -p -D -m0755 bin/esgenerate.js \
    %{buildroot}%{nodejs_sitelib}/escodegen/bin/esgenerate.js

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/escodegen/bin/escodegen.js \
    %{buildroot}%{_bindir}/escodegen.js
ln -sf %{nodejs_sitelib}/escodegen/bin/esgenerate.js \
    %{buildroot}%{_bindir}/esgenerate.js

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test/run.js
%endif

%files
%doc LICENSE.BSD LICENSE.source-map README.md
%{nodejs_sitelib}/escodegen
%{_bindir}/escodegen.js
%{_bindir}/esgenerate.js


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 18 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.2-1
- update to upstream release 1.3.2

* Wed Sep 04 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.26-1
- update to upstream release 0.0.26

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jul 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.23-1
- update to upstream release 0.0.23
- restrict to compatible arches

* Fri Jun 07 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.22-2
- add comment about dependencies for %%check
- fix incorrect License tag

* Wed May 29 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.22-1
- initial package
